Subject: Re: [PATCH v2 4/11] Update firmware_has_feature() to check architecture bits

From: Paul Mackerras <[email-masked]>
Date: Thu, 4 Apr 2013 15:19:24 +1100

On Mon, Mar 25, 2013 at 01:54:54PM -0500, Nathan Fontenot wrote:
> The firmware_has_feature() function makes it easy to check for supported
> features of the hypervisor. This patch extends the capability of the
> firmware_has_feature() function to include checking for specified bits
> in vector 5 of the architecture vector as is reported in the device tree.
> 
> As part of this the #defines used for the architecture vector are
> moved to prom.h and re-defined such that the vector 5 options have the vector
> index and the feature bits encoded into them. This makes for a much
> simpler design to add bits from the architecture vector to be added to
> the checking done in firmware_has_feature().
> 
> Signed-off-by: Nathan Fontenot <[email-masked]>

Acked-by: Paul Mackerras <[email-masked]>

The inner loop in fw_vec5_feature_init is perhaps a bit less efficient
than it could be, but I don't imagine it's going to take a noticeable
amount of time.

Paul.